<template>
    <div class="menu__blue">
        <p class="textMenu">
            <svg>
                <use xlink:href="/img/sprite.svg#menu"/>
            </svg>
            {{ $t('ui.menu.header') }}
        </p>
        <menu-group :label="$t('ui.menu.general_group')" :test="['dashboard', 'operations', 'plans', 'deposits', 'currencies', 'payment_systems', 'payment', 'promos', 'analytics']">
            <ul>
                <menu-link
                    :to="route('dashboard')"
                    icon="/img/sprite.svg#real-estate"
                    :label="$t('ui.menu.dashboard')"
                />
                <menu-link
                    :to="route('operations', {type: 'user_refill'})"
                    icon="/img/sprite.svg#transaction"
                    :label="$t('ui.menu.refills')"
                />
                <menu-link
                    :to="route('operations', {type: 'user_withdraw'})"
                    icon="/img/sprite.svg#transaction"
                    :label="$t('ui.menu.withdraws')"
                />
                <menu-link
                    :to="route('plans')"
                    icon="/img/sprite.svg#portfolio-of-business"
                    :label="$t('ui.menu.plans')"
                />
                <menu-link
                    :to="route('deposits')"
                    icon="/img/sprite.svg#coin-stack"
                    :label="$t('ui.menu.deposits')"
                />
                <menu-link
                    :to="route('currencies')"
                    icon="/img/sprite.svg#coin"
                    :label="$t('ui.menu.currencies')"
                />
                <menu-link
                    :to="route('payment_systems')"
                    icon="/img/sprite.svg#coin"
                    :label="$t('ui.menu.payment_systems')"
                />
                <menu-link
                    :to="route('promos')"
                    icon="/img/sprite.svg#transaction"
                    :label="$t('ui.menu.promos')"
                />
                <menu-link
                    :to="route('analytics')"
                    icon="/img/sprite.svg#settings-cog"
                    :label="$t('ui.menu.analytics')"
                />
            </ul>
        </menu-group>
        <menu-group :label="$t('ui.menu.users_group')" :test="['users', 'newsletter', 'tickets']">
            <ul>
                <menu-link
                    :to="route('users')"
                    icon="/img/sprite.svg#user"
                    :label="$t('ui.menu.users')"
                />
                <menu-link
                    :to="route('users_newsletter')"
                    icon="/img/sprite.svg#sent"
                    :label="$t('ui.menu.users_newsletter')"
                />
				<menu-link
					:to="route('tickets')"
					icon="/img/sprite.svg#sent"
					:label="$t('ui.menu.tickets')"
				/>
			</ul>
        </menu-group>
        <menu-group :label="$t('ui.menu.referrals_group')" :test="['referrals']">
            <ul>
                <menu-link
                    :to="route('referrals')"
                    icon="/img/sprite.svg#rating"
                    :label="$t('ui.menu.referrals_rating')"
                />
                <menu-link
                    :to="route('referrals_settings')"
                    icon="/img/sprite.svg#hand-shake"
                    :label="$t('ui.menu.referrals_levels')"
                />
            </ul>
        </menu-group>
        <menu-group :label="$t('ui.menu.project_group')" :test="['pages', 'settings', 'faq']">
            <ul>
                <menu-link
                    :to="route('pages_create')"
                    icon="/img/sprite.svg#add-circular-button"
                    :label="$t('ui.menu.page_create')"
                />
                <menu-link
                    :to="route('pages')"
                    icon="/img/sprite.svg#confirm"
                    :label="$t('ui.menu.pages')"
                />
                <menu-link
                    :to="route('faq')"
                    icon="/img/sprite.svg#confirm"
                    :label="$t('ui.menu.faq')"
                />
                <menu-link
                    :to="route('settings_fake')"
                    icon="/img/sprite.svg#bar-chart"
                    :label="$t('ui.menu.cheat_statistics')"
                />
                <menu-link
                    :to="route('settings')"
                    icon="/img/sprite.svg#settings-cog"
                    :label="$t('ui.menu.settings')"
                />
                <!--
                <menu-link
                    :to="route('dashboard')"
                    icon="/img/sprite.svg#locked-padlock-in-circular-button"
                    :label="$t('ui.menu.change_password')"
                />
                -->
            </ul>
        </menu-group>
        <menu-group :label="$t('ui.menu.news_group')" :test="['posts']">
            <ul>
                <menu-link
                    :to="route('posts')"
                    icon="/img/sprite.svg#confirm"
                    :label="$t('ui.menu.posts')"
                />
                <menu-link
                    :to="route('posts_create')"
                    icon="/img/sprite.svg#add"
                    :label="$t('ui.menu.post_add')"
                />
            </ul>
        </menu-group>
        <menu-group :label="$t('ui.menu.security_group')" :test="['system_info', 'system', 'blacklist', 'auth_log']">
            <ul>
                <menu-link
                    :to="route('system_info')"
                    icon="/img/sprite.svg#information"
                    :label="$t('ui.menu.server_info')"
                />
                <menu-link
                    :to="route('blacklist')"
                    icon="/img/sprite.svg#cancel"
                    :label="$t('ui.menu.blacklist_ip')"
                />
                <menu-link
                    :to="route('auth_log')"
                    icon="/img/sprite.svg#musica-searcher"
                    :label="$t('ui.menu.monitoring_ip')"
                />
            </ul>
        </menu-group>
    </div>
</template>

<script>
    import Group from "../components/sidebar/Group";
    import Link from "../components/sidebar/Link";
    import route from '../mixins/route';

    export default {
		name: "Menu",
        mixins: [route],
        components: {
			'menu-group': Group,
			'menu-link': Link,
        }
	}
</script>

<style scoped>

</style>
